PowerShell Gallery bağlantı problemi: WARNING: Unable to resolve package resource: https://PowerShellgallery.com/api/v2

PowerShell üzerinden Azure AD’ye bağlanmak için install-module azuread komutunu girdiğimde

“WARNING: Unable to resolve package resource: https://PowerShellgallery.com/api/v2”

hatasını aldım.

İlk olarak internet çıkışında problem olabileceğini düşündüm ancak sunucunun internet çıkışında problem yoktu.

Sonrasında TLS1.2’yi sunucu üzerinde aşağıdaki komutla aktif ettim ve ilgili modülü kurabildim:

Sorunun sebebi ise 1 Nisan 2020’den itibaren PowerShellGallery.com’un SSL3 ve TLS1 desteğini kaldırması.

Bir yorum yazın.

E-mail adresiniz 3. kişilerle paylaşılmaz!

This site uses Akismet to reduce spam. Learn how your comment data is processed.